Subject: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Sun, 28 Oct 2018 09:59:57 +0100

> The implementation of window-state-change-functions posted to bug#32672
 > uses post-command-hook.  It makes possible display-buffer-directionally,
 > e.g. S-M-up ffap RET will open a file link in the upper window, etc.

Yes.  But as I said in the thread for Bug#32672 running
'window-state-change-functions' only after a command gets executed may
miss a number of important cases where the hook should be run as well.

Once more: What could go posibly wrong if you added 'hook' to
'post-command-hook' and unconditionally (that is completely
disregarding whether a buffer display action succeeded or not) removed
the overriding action there.  If you are paranoiac about this, you can
even restore the old value of 'display-buffer-overriding-action' if
and only if the new value (when running 'post-command-hook') is the
one you wrote there ealier and leave any other value alone (because it
was probably put there by the command executed).

martin